Subject: RE: cygwin programs won't end!
From: Earnie Boyd <[email-masked]>
To: [email-masked], Kevin Wright <[email-masked]>
Cc: [email-masked]
Date: Thu, 27 Apr 2000 12:33:34 -0700 (PDT)

The proper place to set the CYGWIN environment variable is BEFORE starting a
cygwin process.  Setting it after you've started BASH, especially for tty,
binmode, ntsec, ntea will not do what you expect.

Earnie.

--- [email-masked] wrote:
> 
> 
> Thanks Kevin, that did it.
> 
> First I exported the new value of CYGWIN from within bash, to no avail.  Then
> I
> set it in .bashrc and restarted.  Success.  The console is now very
> responsive.
> 
> I still have a minimal understanding of the CYGWIN flag "tty".
> 
> Thanks again,
> 
> Vince Virgilio
> 
> 
> 
> 
> 
> "Kevin Wright" <[email-masked]> on 04/27/2000 12:03:55 PM
> 
> To:   Vincent Virgilio/Natural MicroSystems/US@Natural MicroSystems
> cc:
> Subject:  RE: cygwin programs won't end!
> 
> 
> 
> Vincent,
> 
> As a test, try changing the value of your CYGWIN variable to notty or
> just don't set it at all and see if this speeds up your response time.
> I had a similar experience when I set the CYGWIN variable to tty.
> 
> --Kevin
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of
> > [email-masked]
> > Sent: Thursday, April 27, 2000 11:42 AM
> > To: [email-masked]
> > Subject: Re: cygwin programs won't end!
> >
> >
> >
> >
> > This is a "me too", with cygcheck and strace output.  I installed the net
> > release yesterday, and notice a delay after every cygwin command;
> > a symptom
> > other's also experienced.
> >
> > Perhaps the below output can serve as a cross-check on other's output.
> >
> > "cygcheck -r -s -v" produces:
> >
> > ========== BEGIN cygcheck ==============
> >
> > Cygnus Win95/NT Configuration Diagnostics
> > Current System Time: Thu Apr 27 12:23:14 2000
> >
> > WinNT Ver 4.0 build 1381 Service Pack 4
> >
> > Path:     /cygdrive/c/winnt/system32
> >      /cygdrive/c/winnt
> >      /usr/bin
> >      /bin
> >
> > SysDir: C:\WINNT\System32
> > WinDir: C:\WINNT
> >
> > CYGWIN = `tty'
> > HOME = `/cygdrive/h'
> > PWD = `/usr/info'
> >
> > !EXITCODE = `00000000'
> > !C: = `C:\cygwin\usr\info'
> > !H: = `H:\'
> > BASEDIR = `C:\msdev\ddk\'
> > COMPUTERNAME = `VVIRGILIO2'

__________________________________________________
Do You Yahoo!?
Talk to your friends online and get email alerts with Yahoo! Messenger.
http://im.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]